summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRichard Freeman <rich0@gentoo.org>2016-04-16 07:52:24 -0400
committerRichard Freeman <rich0@gentoo.org>2016-04-16 08:05:12 -0400
commit514d063046bc52bbc3c99ba6ccaff5212a13603a (patch)
tree3affde6eb32c68786128c4ef9e38816419f0d0ca /media-tv
parentapp-admin/packagekit-qt4 -> app-admin/packagekit-qt (diff)
downloadgentoo-514d063046bc52bbc3c99ba6ccaff5212a13603a.tar.gz
gentoo-514d063046bc52bbc3c99ba6ccaff5212a13603a.tar.bz2
gentoo-514d063046bc52bbc3c99ba6ccaff5212a13603a.zip
media-tv/mythtv: Major release to 0.28
Package-Manager: portage-2.2.26
Diffstat (limited to 'media-tv')
-rw-r--r--media-tv/mythtv/Manifest1
-rw-r--r--media-tv/mythtv/files/mythbackend.service-2866
-rw-r--r--media-tv/mythtv/mythtv-0.28.ebuild362
3 files changed, 429 insertions, 0 deletions
diff --git a/media-tv/mythtv/Manifest b/media-tv/mythtv/Manifest
index fd8453cbc97..ce15eb18dde 100644
--- a/media-tv/mythtv/Manifest
+++ b/media-tv/mythtv/Manifest
@@ -3,3 +3,4 @@ DIST mythtv-0.27.5-68e51d6fd4fa25e985b21cb3a5b5ca6fce9aca9d.tar.xz 28096 SHA256
DIST mythtv-0.27.5.tar.gz 85652939 SHA256 7e625f94332effeadfba8e7ae7c98d44a83bfc25b7c59e39adce67dc2f4e1e1b SHA512 b912e010e54271f9321ac1b11d4a31e4093f86c0f2ae3139d4b55085bab142ca3fc6d847d163f6b75aa31320404914c71c094528dc8ee7d70086e56a828b9169 WHIRLPOOL e9ebbbabac6ed53b4ec90537371a63e053bb9a2c0a0e920e43d3d2e475f87bdd0ac5a4604045498e88aaf06b11eb054d50dea7881c87dbd45a36c08309e1b880
DIST mythtv-0.27.6_p20160318.tar.gz 85676387 SHA256 d0b8c03d95e082e87e0fab8656358e9f3991cd08b2ec5edcbb10a9a91b1e4162 SHA512 7e94d07b4f99a15b978b42d8be11f329a938842b02ad99c9628ab6dda2fa802ca7148c5db9e6f7fae40f44027f55e69f1cdb6879ee83400934025f18ac68468f WHIRLPOOL d0f040c1ecb35e5c526477134d756a67d978aeefbf478b624eaa16e4ca1639e3b8f038507052b7d05e3a18fb85fd4e1eaeeb1a185ccfdf0fb2255fdc657be6c1
DIST mythtv-0.27.tar.gz 85904162 SHA256 494ebd7ee384e751c05ee0a1b3dcd3618caf72f1e94810381c09c2b5d1c799f0 SHA512 2ea070497a7610b8e1548112d9925a28aeedba819c2d063e88cc63daf69947379ce7213e357c26bf2221f8a8e865c937dee3b9bf2695644f2f1adeadf6d11116 WHIRLPOOL 74c4fade0d0f93a64e5f1da3120358f15f6f8891f53b7c74b41a286369e192790cae87829b79a3a90ce3ca23ede63b3dfa809b514b68cee220432794414b8a47
+DIST mythtv-0.28.tar.gz 104364066 SHA256 9d640ab0551b300dab9b633f969efc6f1987f9bdedbef5997a44ddf97d863171 SHA512 7087fa69b89a7166ddfa96a5a65f48e0ee1858bc150376b2ac2309707b4d1fb9cc544d60b114227284fd0d4891eabded6edc31215fb8f11d1df304fe77ff8f85 WHIRLPOOL f593ab2c232c4f5361b3997d35ba631c845d0f12399a772fdfc296a9e120f5a03a7ba22dbe26b972c522f46a13907fc09b2619e84874cd952095b72df54d53e1
diff --git a/media-tv/mythtv/files/mythbackend.service-28 b/media-tv/mythtv/files/mythbackend.service-28
new file mode 100644
index 00000000000..3ab4c9b19de
--- /dev/null
+++ b/media-tv/mythtv/files/mythbackend.service-28
@@ -0,0 +1,66 @@
+# Do not edit this file, it will be replaced on update
+# If you need to make modifications to this unit file first make a copy in # /etc/systemd/system
+
+# This file is part of the packaging of MythTV #
+# MythTV is free software; view http://www.mythtv.org for more information.
+#
+# It is sometimes necessary to wait for a capture device to finish (hot)plug
+# initialization before the backend starts. If this is necessary,
+# create a Wants and After entry for all the capture devices that
+# one wishes to wait to be created before the backend starts using the systemd
+# device name mangling names (/dev/some/thing turns
+# into dev-some-thing.device). These normally should be udev persistent
+# filename rules to avoid confusion.
+# See the MythTV wiki for udev persistent filename # discussions found at:
+# http://www.mythtv.org/wiki/Device_Filenames_and_udev
+#
+# In order to insure that systemd will create a device unit for the
+# capture device, one must insure that udev will have the tag "systemd"
+# (i.e. add TAG+="systemd" to the udev rule).
+#
+# The MythTV package ships with a default udev rule file located in:
+# /lib/udev/rules.d/99-mythbackend.rules
+
+[Unit]
+Description=MythTV backend service
+After=network.target mysqld.service
+# Uncomment the following line if you will be using the mythweb plugin on the
+# same system as mythbackend.
+#Wants=httpd.service
+
+[Service]
+Type=notify
+
+Environment=MYTHCONFDIR=/etc/mythtv
+# Default setting assumes a system wide install. Otherwise it should be set to
+# the folder containing the .mythtv subfolder containing the config.xml file
+# Such as
+#Environment=HOME=/usr/share/mythtv
+# or
+Environment=HOME=/~/.mythtv
+
+# systemd changes execution from the calling user (possibly root) to this user
+# if you have permissions problems or obscure errors try logging in as mythtv
+# See notes below
+User=mythtv
+
+# Uncomment one of the following...
+# Use sysloging rather than separate logging:
+#ExecStart=/usr/bin/mythbackend --syslog local7
+
+# If Type=forking you must specify the --daemon and --pidfile options:
+#ExecStart=/usr/bin/mythbackend --daemon --logpath /var/log/mythtv --loglevel crit --pidfile /run/mythtv/mythbackend.pid
+#PIDFILE=/run/mythtv/mythbackend.pid
+
+# Systemd sends stdout to syslog, and mythbackend has console logging enabled without --daemon.
+# Send stdout to /dev/null so console logging doesn't go to syslog
+#StandardOutput=null
+# Default setting for Type=simple.
+#ExecStart=/usr/bin/mythbackend --logpath /var/log/mythtv --loglevel crit
+ExecStart=/usr/bin/mythbackend --loglevel notice
+
+# Whether systemd will continue over-watch and restart on any halt
+Restart=always
+
+[Install]
+WantedBy=multi-user.target
diff --git a/media-tv/mythtv/mythtv-0.28.ebuild b/media-tv/mythtv/mythtv-0.28.ebuild
new file mode 100644
index 00000000000..92a9d3ed041
--- /dev/null
+++ b/media-tv/mythtv/mythtv-0.28.ebuild
@@ -0,0 +1,362 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+# git diff --relative=mythtv v0.27.6.. > ~/mythtv-0.27.6/patches/mythtv.patch
+BACKPORTS="3543e74534a39c150e956e2f07f50ed9f873a84e"
+MY_P=${P%_p*}
+MY_PV=${PV%_p*}
+
+inherit flag-o-matic multilib eutils python-single-r1 user systemd vcs-snapshot
+
+MYTHTV_BRANCH="fixes/0.28"
+
+DESCRIPTION="Homebrew PVR project"
+HOMEPAGE="http://www.mythtv.org"
+SRC_URI="https://github.com/MythTV/mythtv/archive/${BACKPORTS}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0/${PV}"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+IUSE_INPUT_DEVICES="input_devices_joystick"
+IUSE="alsa altivec avahi libass autostart bluray cec crystalhd debug dvb dvd \
+egl fftw +hls ieee1394 jack lcd lirc perl pulseaudio python systemd +theora \
+vaapi vdpau +vorbis +wrapper +xml xmltv +xvid ${IUSE_INPUT_DEVICES}"
+
+REQUIRED_USE="
+ bluray? ( xml )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ theora? ( vorbis )"
+
+COMMON="
+ >=media-libs/freetype-2.0:=
+ >=media-sound/lame-3.93.1
+ sys-libs/zlib:=
+ x11-libs/libX11:=
+ x11-libs/libXext:=
+ x11-libs/libXinerama:=
+ x11-libs/libXv:=
+ x11-libs/libXrandr:=
+ x11-libs/libXxf86vm:=
+ dev-qt/qtcore:5=
+ dev-qt/qtdbus:5=
+ dev-qt/qtgui:5=
+ dev-qt/qtscript:5=
+ dev-qt/qtsql:5=[mysql]
+ dev-qt/qtopengl:5=
+ dev-qt/qtwebkit:5=
+ x11-misc/wmctrl:=
+ virtual/mysql
+ virtual/opengl:=
+ alsa? ( >=media-libs/alsa-lib-1.0.24:= )
+ avahi? (
+ dev-libs/openssl:0=
+ net-dns/avahi[mdnsresponder-compat]
+ )
+ bluray? (
+ dev-libs/libcdio:=
+ media-libs/libbluray:=
+ sys-fs/udisks:0
+ )
+ cec? ( dev-libs/libcec:= )
+ dvb? (
+ media-libs/libdvb:=
+ virtual/linuxtv-dvb-headers:=
+ )
+ dvd? (
+ dev-libs/libcdio:=
+ sys-fs/udisks:0
+ )
+ egl? ( media-libs/mesa:=[egl] )
+ fftw? ( sci-libs/fftw:3.0= )
+ hls? (
+ media-libs/faac:=
+ <media-libs/libvpx-1.5.0:=
+ >=media-libs/x264-0.0.20111220:=
+ )
+ ieee1394? (
+ >=sys-libs/libraw1394-1.2.0:=
+ >=sys-libs/libavc1394-0.5.3:=
+ >=media-libs/libiec61883-1.0.0:=
+ )
+ jack? ( media-sound/jack-audio-connection-kit )
+ lcd? ( app-misc/lcdproc )
+ libass? ( >=media-libs/libass-0.9.11:= )
+ lirc? ( app-misc/lirc )
+ perl? (
+ dev-perl/DBD-mysql
+ dev-perl/Net-UPnP
+ dev-perl/LWP-Protocol-https
+ dev-perl/HTTP-Message
+ dev-perl/IO-Socket-INET6
+ >=dev-perl/libwww-perl-5
+ )
+ pulseaudio? ( media-sound/pulseaudio )
+ python? (
+ ${PYTHON_DEPS}
+ dev-python/mysql-python
+ dev-python/lxml
+ dev-python/urlgrabber
+ )
+ theora? ( media-libs/libtheora:= media-libs/libogg:= )
+ vaapi? ( x11-libs/libva:=[opengl] )
+ vdpau? ( x11-libs/libvdpau:= )
+ vorbis? ( >=media-libs/libvorbis-1.0:= media-libs/libogg:= )
+ xml? ( >=dev-libs/libxml2-2.6.0:= )
+ xvid? ( >=media-libs/xvid-1.1.0:= )
+ !media-tv/mythtv-bindings
+ !x11-themes/mythtv-themes
+ media-libs/taglib:=
+ dev-libs/glib:=
+ systemd? ( sys-apps/systemd:= )
+ "
+
+RDEPEND="${COMMON}
+ media-fonts/corefonts
+ media-fonts/dejavu
+ media-fonts/liberation-fonts
+ x11-apps/xinit
+ autostart? (
+ net-dialup/mingetty
+ x11-wm/evilwm
+ x11-apps/xset
+ )
+ dvd? ( media-libs/libdvdcss:= )
+ xmltv? ( >=media-tv/xmltv-0.5.43 )
+ "
+
+DEPEND="${COMMON}
+ dev-lang/yasm
+ x11-proto/xineramaproto
+ x11-proto/xf86vidmodeproto
+ "
+
+S="${WORKDIR}/${P}/mythtv"
+
+MYTHTV_GROUPS="video,audio,tty,uucp"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+ enewuser mythtv -1 /bin/bash /home/mythtv ${MYTHTV_GROUPS}
+ usermod -a -G ${MYTHTV_GROUPS} mythtv
+}
+
+src_prepare() {
+ # Perl bits need to go into vender_perl and not site_perl
+ sed -e "s:pure_install:pure_install INSTALLDIRS=vendor:" \
+ -i "${S}"/bindings/perl/Makefile
+
+ # Fix up the version info since we are using the fixes/${PV} branch
+ echo "SOURCE_VERSION=\"v${MY_PV}\"" > "${S}"/VERSION
+ echo "BRANCH=\"${MYTHTV_BRANCH}\"" >> "${S}"/VERSION
+ echo "SOURCE_VERSION=\"${BACKPORTS}\"" > "${S}"/EXPORTED_VERSION
+ echo "BRANCH=\"${MYTHTV_BRANCH}\"" >> "${S}"/EXPORTED_VERSION
+
+ echo "setting.extra -= -ldconfig" >> "${S}"/programs/mythfrontend/mythfrontend.pro
+
+# epatch "${FILESDIR}/libdir-27.patch"
+
+ epatch_user
+}
+
+src_configure() {
+ local myconf=
+
+ # Setup paths
+ myconf="${myconf} --prefix=${EPREFIX}/usr"
+ myconf="${myconf} --libdir=${EPREFIX}/usr/$(get_libdir)"
+ myconf="${myconf} --libdir-name=$(get_libdir)"
+ myconf="${myconf} --mandir=${EPREFIX}/usr/share/man"
+
+ # Audio
+ myconf="${myconf} $(use_enable alsa audio-alsa)"
+ myconf="${myconf} $(use_enable jack audio-jack)"
+ use pulseaudio || myconf="${myconf} --disable-audio-pulseoutput"
+
+ use altivec || myconf="${myconf} --disable-altivec"
+ myconf="${myconf} $(use_enable dvb)"
+ myconf="${myconf} $(use_enable ieee1394 firewire)"
+ myconf="${myconf} $(use_enable lirc)"
+ myconf="${myconf} $(use_enable xvid libxvid)"
+ myconf="${myconf} --dvb-path=/usr/include"
+ myconf="${myconf} --enable-xrandr"
+ myconf="${myconf} --enable-xv"
+ myconf="${myconf} --enable-x11"
+ myconf="${myconf} --enable-nonfree"
+ myconf="${myconf} --enable-libmp3lame"
+ use cec || myconf="${myconf} --disable-libcec"
+ use avahi || myconf="${myconf} --disable-libdns-sd"
+ myconf="${myconf} $(use_enable theora libtheora)"
+ myconf="${myconf} $(use_enable vorbis libvorbis)"
+
+ if use hls; then
+ myconf="${myconf} --enable-libx264"
+ myconf="${myconf} --enable-libvpx"
+ myconf="${myconf} --enable-libfaac"
+ fi
+
+ myconf="${myconf} $(use_enable libass)"
+
+ if use perl && use python; then
+ myconf="${myconf} --with-bindings=perl,python"
+ elif use perl; then
+ myconf="${myconf} --without-bindings=python"
+ myconf="${myconf} --with-bindings=perl"
+ elif use python; then
+ myconf="${myconf} --without-bindings=perl"
+ myconf="${myconf} --with-bindings=python"
+ else
+ myconf="${myconf} --without-bindings=perl,python"
+ fi
+
+ use python && myconf="${myconf} --python=${EPYTHON}"
+
+ if use debug; then
+ myconf="${myconf} --compile-type=debug"
+ else
+ myconf="${myconf} --compile-type=release"
+ #myconf="${myconf} --enable-debug" does nothing per sphery
+ #myconf="${myconf} --disable-stripping" does nothing per sphery
+ fi
+
+ # Video
+ myconf="${myconf} $(use_enable vdpau)"
+ myconf="${myconf} $(use_enable vaapi)"
+ myconf="${myconf} $(use_enable crystalhd)"
+
+ # Input
+ use input_devices_joystick || myconf="${myconf} --disable-joystick-menu"
+
+ # Clean up DSO load times and other compiler bits
+ myconf="${myconf} --enable-symbol-visibility"
+ myconf="${myconf} --enable-pic"
+
+ # CPU settings
+ for i in $(get-flag march) $(get-flag mcpu) $(get-flag mtune) ; do
+ [ "${i}" = "native" ] && i="host"
+ myconf="${myconf} --cpu=${i}"
+ break
+ done
+
+ if tc-is-cross-compiler ; then
+ myconf="${myconf} --enable-cross-compile --arch=$(tc-arch-kernel)"
+ myconf="${myconf} --cross-prefix=${CHOST}-"
+ fi
+
+ # Build boosters
+ has distcc ${FEATURES} || myconf="${myconf} --disable-distcc"
+ has ccache ${FEATURES} || myconf="${myconf} --disable-ccache"
+
+ myconf="${myconf} $(use_enable systemd systemd_notify)"
+
+ chmod +x ./external/FFmpeg/version.sh
+
+ einfo "Running ./configure ${myconf}"
+ ./configure \
+ --cc="$(tc-getCC)" \
+ --cxx="$(tc-getCXX)" \
+ --ar="$(tc-getAR)" \
+ --extra-cflags="${CFLAGS}" \
+ --extra-cxxflags="${CXXFLAGS}" \
+ --extra-ldflags="${LDFLAGS}" \
+ ${myconf} || die "configure died"
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install || die "install failed"
+ dodoc AUTHORS UPGRADING README
+
+ insinto /usr/share/mythtv/database
+ doins database/*
+
+ newinitd "${FILESDIR}"/mythbackend.init-r2 mythbackend
+ newconfd "${FILESDIR}"/mythbackend.conf-r1 mythbackend
+ systemd_newunit "${FILESDIR}"/mythbackend.service-28 mythbackend.service
+
+ dodoc keys.txt
+
+ keepdir /etc/mythtv
+ chown -R mythtv "${ED}"/etc/mythtv
+ keepdir /var/log/mythtv
+ chown -R mythtv "${ED}"/var/log/mythtv
+ dodir /var/log/mythtv/old
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/mythtv.logrotate.d-r4 mythtv
+
+ insinto /usr/share/mythtv/contrib
+ # Ensure we don't install scripts needing the perl bindings (bug #516968)
+ use perl || find contrib/ -name '*.pl' -exec rm -f {} \;
+ # Ensure we don't install scripts needing the python bindings (bug #516968)
+ use python || find contrib/ -name '*.py' -exec rm -f {} \;
+ doins -r contrib/*
+
+ # Install our mythfrontend wrapper which is similar to Mythbuntu's
+ if use wrapper; then
+ mv "${ED}/usr/bin/mythfrontend" "${ED}/usr/bin/mythfrontend.real"
+ newbin "${FILESDIR}"/mythfrontend.wrapper mythfrontend
+ newconfd "${FILESDIR}"/mythfrontend.conf mythfrontend
+ fi
+
+ if use autostart; then
+ dodir /etc/env.d/
+ echo 'CONFIG_PROTECT="/home/mythtv/"' > "${ED}"/etc/env.d/95mythtv
+
+ insinto /home/mythtv
+ newins "${FILESDIR}"/bash_profile .bash_profile
+ newins "${FILESDIR}"/xinitrc-r1 .xinitrc
+ fi
+
+ # Make Python files executable
+ find "${ED}/usr/share/mythtv" -type f -name '*.py' | while read file; do
+ if [[ ! "${file##*/}" = "__init__.py" ]]; then
+ chmod a+x "${file}"
+ fi
+ done
+
+ # Ensure that Python scripts are executed by Python 2
+ python_fix_shebang "${ED}/usr/share/mythtv"
+
+ # Make shell & perl scripts executable
+ find "${ED}" -type f -name '*.sh' -o -type f -name '*.pl' | \
+ while read file; do
+ chmod a+x "${file}"
+ done
+}
+
+pkg_preinst() {
+ export CONFIG_PROTECT="${CONFIG_PROTECT} ${EROOT}/home/mythtv/"
+}
+
+pkg_postinst() {
+ elog "To have this machine operate as recording host for MythTV, "
+ elog "mythbackend must be running. Run the following:"
+ elog "rc-update add mythbackend default"
+ elog
+ elog "Your recordings folder must be owned 'mythtv'. e.g."
+ elog "chown -R mythtv /var/lib/mythtv"
+
+ elog "Want mythfrontend to start automatically?"
+ elog "Set USE=autostart. Details can be found at:"
+ elog "https://dev.gentoo.org/~cardoe/mythtv/autostart.html"
+ elog
+ elog "Note that the systemd unit now restarts by default and logs"
+ elog "to journald via the console at the notice verbosity."
+}
+
+pkg_info() {
+ if [[ -f "${EROOT}"/usr/bin/mythfrontend ]]; then
+ "${EROOT}"/usr/bin/mythfrontend --version
+ fi
+}
+
+pkg_config() {
+ echo "Creating mythtv MySQL user and mythconverg database if it does not"
+ echo "already exist. You will be prompted for your MySQL root password."
+ "${EROOT}"/usr/bin/mysql -u root -p < "${EROOT}"/usr/share/mythtv/database/mc.sql
+}